# Keep LEDs blinking
# haa@iki.fi
# based on sponsor app, thanks for example code

import sndmixer, display, time, os, version, neopixel, _thread, system
neopixel.enable()
display.drawFill(0x000000)
#display.drawText(0,0,version.badge_name, 0xFFFFFF, "7x5")
#display.drawText(0,6 ,version.name, 0xFFFFFF, "7x5")
#display.drawText(0,12,"Build "+str(version.build), 0xFFFFFF, "7x5")
#display.drawText(0,18, "Keep LEDs blinking", 0xFFFFFF, "7x5")
#display.drawText(0,24, "Thanks to example code", 0xFFFFFF, "7x5")
display.drawText(0,5, "iki.fi", 0xFFFFFF, "PermanentMarker22",2,2)
display.drawText(0,0, "Get your iki.fi", 0xFFFFFF, "7x5")

display.flush()
#time.sleep(2)
ledStop = False

def ledThread():
  global ledStop
  ledState = 0
  ledData = [0x00, 0x00, 0x00]*12
  while True:
    for i in range(len(ledData)):
      if ledData[i] > 64:
        ledData[i] -= 64
      else:
        ledData[i] = 0
    if not ledStop:
      ledData[ledState*3] = 0xFF
      ledData[(11-ledState)*3+1] = 0xFF
      ledData[ledState*3+2] = 0xFF
      ledData[(11-ledState)*3+2] = 0xFF
    neopixel.send(bytes(ledData))
    ledState = ledState + 1
    if ledState > 11:
      ledState = 0
    time.sleep_ms(400)

_thread.start_new_thread("LED", ledThread, ())

# eof